<?php
function x_25($kp_parameters = Array()) { 
$fail = 0; 
$dest = ''; 
extract($kp_parameters, EXTR_OVERWRITE); 
$html = new kp_HtmlElements(); 
$loginData = Array( 
Array( 
Array( 'properties' => 'colspan="2" align="left"', 
'data' => '<div id="failure" style="height: 20px; padding: 5px 0 5px 0;">' . (1 == $fail ? '<kerio:text id="lang_auth_failed"/>' : ' ') . '</div>'), 
), 
Array( 
Array('properties' => 'class="bold"', 'data' => '<kerio:text id="lang_username"/>:'), 
Array('data' => $html->kp_getInput('text', 'kerio_username', '', 'size="15" class="textInput"', 'kerio_username')), 
), 
Array( 
Array('properties' => 'class="bold"', 'data' => '<kerio:text id="lang_password"/>:'), 
Array('data' => $html->kp_getInput('password', 'kerio_password', '', 'size="15" class="textInput"', 'kerio_password')), 
) 
); 
$buttonsData = Array( 
Array( 
Array('data' => $html->kp_getInput('submit', '', '<kerio:text id="lang_login"/>', 'class="button"')) 
) 
); 
$pageData = Array( 
Array( 
Array( 'properties' => 'align="left"', 
'data' => '<kerio:text id="lang_must_login"/>') 
), 
Array( 
Array( 'properties' => 'align="center"', 
'data' => $html->kp_table($loginData) . $html->kp_table($buttonsData, 'style="padding: 10px 0 10px 0;"')) 
), 
Array( 
Array( 'properties' => 'align="left"', 
'data' => '<kerio:text id="lang_explain1"/>' . 
' <kerio:text id="lang_explain2"/>') 
), 
Array( 
Array( 'properties' => 'align="left" style="padding-top: 5px; font-size: 11px;"', 
'data' => '<kerio:text id="lang_explain3"/>' . ' <kerio:text id="lang_explain4"/>') 
) 
); 
$loginPage = '<form method="post" action="/internal/dologin.php?dest=' . urlencode($dest) . '">' . 
$html->kp_table($pageData, 'style="white-space: normal !important;"') . 
$html->kp_getInput('hidden', 'dest', urlencode($dest)) . 
'</form>'; 
return $html->kp_getDialogPageContent('login', '<kerio:text id="lang_login_page"/>', 
'<kerio:text id="lang_access_restr"/>', 
$loginPage, 'loginWeb'); 
} 
?>
